# -*- coding: utf-8 -*-
#CPE 1704 TKS
"""
Standard Manupilation modules that are not directly UI based.
"""
from PIL import ImageDraw

from filters.display import *
from filters.toolbox import pil2qpixmap


def CropThumb(self):
    showUpdateLabel(self, True,  True)
    im=self.core.current.thumb.copy()
    w, h = self.core.current.image.size
    tw, th = self.core.current.thumb.size
    draw = ImageDraw.Draw(im)
    draw.rectangle([int(tw*self.core.valCropLeft/w)+1,  int(th*self.core.valCropTop/h)+1,  int(tw*self.core.valCropRight/w)-1, int(th*self.core.valCropBottom/h)-1], outline="white")
    draw.rectangle([int(tw*self.core.valCropLeft/w),  int(th*self.core.valCropTop/h),  int(tw*self.core.valCropRight/w), int(th*self.core.valCropBottom/h)],  outline="black")
    del draw
    
    
    self.photo_Thumb.setPixmap(pil2qpixmap(im))
    self.photo_Thumb.repaint()
    showUpdateLabel(self, False,  True)
    

def CropApply(self, imageToEdit, cSource, UpdateRealImage):
    print "To Crop"
    if DisplayWait_Enable(self,  UpdateRealImage):
        showUpdateLabel(self, True,  False)
        im=self.core.current.image
        print self.core.valCropLeft, self.core.valCropTop,  self.core.valCropRight, self.core.valCropBottom
        
        im = im.crop([self.core.valCropLeft, self.core.valCropTop,  self.core.valCropRight, self.core.valCropBottom])
        
        print "Cropped"
        DisplayWait_Disable(self,  UpdateRealImage,  im)
        
        showUpdateLabel(self, False,  False)
        print "Updated"
